Package Gnumed :: Package wxpython :: Module gmPlugin :: Class cNotebookPlugin |
[frames] | no frames]

# Class cNotebookPlugin

source code

Base class for plugins which provide a full notebook page.

Instance Methods
__init__(self) | source code
register(self) Register ourselves with the main notebook widget. | source code
unregister(self) Remove ourselves. | source code
name(self) | source code
MenuInfo(self) Return tuple of (menuname, menuitem). | source code
can_receive_focus(self) Called when this plugin is *about to* receive focus. | source code
receive_focus(self) We *are* receiving focus via wx.EVT_NotebookPageChanged. | source code
Raise(self) Raise ourselves. | source code
on_load(self, evt) | source code
OnShow(self, evt) | source code

Method Details

### MenuInfo(self) | source code
Return tuple of (menuname, menuitem). None: no menu entry wanted

### can_receive_focus(self) | source code
Called when this plugin is *about to* receive focus. If None returned from here (or from overriders) the plugin activation will be veto()ed (if it can be).

### receive_focus(self) | source code
We *are* receiving focus via wx.EVT_NotebookPageChanged. This can be used to populate the plugin widget on receiving focus.